Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## echopointng.model
Interface CalendarSelectionModel

All Known Implementing Classes:
  DefaultCalendarSelectionModel

    public interface CalendarSelectionModel

Model interface for Calendar Selection

Method Summary
`void` | `addListener(CalendarSelectionListener listener)` Adds listener as a listener to changes in the model.
`java.util.Calendar` | `getDisplayedDate()`
`java.util.Calendar` | `getSelectedDate()`
`void` | `removeListener(CalendarSelectionListener listener)` Removes listener as a listener to changes in the model.
`void` | `setDates(java.util.Calendar selectedDate, java.util.Calendar displayedDate)` This is the equivalent of calling setSelectedDate and setDisplayedDate except it only raises change events after the both have been set.
`void` | `setDisplayedDate(java.util.Calendar cal)` Sets the model's displayed date to cal.
`void` | `setSelectedDate(java.util.Calendar cal)` Sets the model's selected date to cal.

Method Detail

### addListener

    void addListener(CalendarSelectionListener listener)

  Adds listener as a listener to changes in the model.

### getDisplayedDate

    java.util.Calendar getDisplayedDate()

  Returns:
    the model's displayed date

### getSelectedDate

    java.util.Calendar getSelectedDate()

### removeListener

    void removeListener(CalendarSelectionListener listener)

  Removes listener as a listener to changes in the model.

### setDisplayedDate

    void setDisplayedDate(java.util.Calendar cal)

  Sets the model's displayed date to cal. Notifies any listeners if the model changes

### setSelectedDate

    void setSelectedDate(java.util.Calendar cal)

  Sets the model's selected date to cal. Notifies any listeners if the model changes

### setDates

    void setDates(java.util.Calendar selectedDate,
                  java.util.Calendar displayedDate)

  This is the equivalent of calling setSelectedDate and setDisplayedDate except it only raises change events after the both have been set.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD